summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCédric Krier <cedk@gentoo.org>2019-12-21 17:16:12 +0100
committerCédric Krier <cedk@gentoo.org>2019-12-21 17:16:12 +0100
commit273afeff1bcd9c271b67a0b5bf0110761fdb0aa0 (patch)
tree0c51c702fe6b518b09374d15b1a9af9d14437a04
parentdev-python/simpleeval: Version bumps (diff)
downloadgentoo-273afeff1bcd9c271b67a0b5bf0110761fdb0aa0.tar.gz
gentoo-273afeff1bcd9c271b67a0b5bf0110761fdb0aa0.tar.bz2
gentoo-273afeff1bcd9c271b67a0b5bf0110761fdb0aa0.zip
dev-util/stripe-mock: Version bumps
Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Cédric Krier <cedk@gentoo.org>
-rw-r--r--dev-util/stripe-mock/Manifest1
-rw-r--r--dev-util/stripe-mock/stripe-mock-0.78.0.ebuild22
2 files changed, 23 insertions, 0 deletions
diff --git a/dev-util/stripe-mock/Manifest b/dev-util/stripe-mock/Manifest
index d424867cf36..219e4c7e36b 100644
--- a/dev-util/stripe-mock/Manifest
+++ b/dev-util/stripe-mock/Manifest
@@ -1,3 +1,4 @@
DIST stripe-mock-0.34.1.tar.gz 340357 BLAKE2B 127d39b01bbd883141c75e63dc5e0b8834dbc86f375058768072b3de75d3f9e3fabebdfdd9d872c51ad52fec3e2057ae342887c25b496b987d64652c93b204bd SHA512 c9e35867c44bd7d127f91d0f668d39ff67ca9bb2937428f808122555360a77b91f9f5d5648478dc2c4fc04a7b9195fed0a927868fdd22b852022ae2fe0f1e695
DIST stripe-mock-0.47.0.tar.gz 371383 BLAKE2B 0d619e62c9d071cd0706f0deeab5cb659d994f02df87fc638e319b346cda83548bec9a6068814b7c17a8f62e8f9c2206003bd62f66f844e8f38ee96b10f099fe SHA512 b387556526eea8b02fb3df74b345f5447bc81d7cc9e7f9fe9cd59dfdef7895bd31c882bc3c96c6815c69cc1e1fc3bed8390beb107ecfeb79e69aba4bc115a17e
DIST stripe-mock-0.63.0.tar.gz 453992 BLAKE2B ece5c4b4141fedd4dc896e5505047c1138a27cea63b4df1ce96b12a41e6e4ddb636ec181bcd1063819a0aa0247302171181d86bd962d0a2063289339c35105c2 SHA512 0e23493808643326e91599620c481130df3b2c50f1d39c64f9f404c54708f71a61a48630f0e3cf4c924e53d29f21d442be5323925fa0096c3bea3e1582676578
+DIST stripe-mock-0.78.0.tar.gz 465275 BLAKE2B 2c55ebe41d378d633288cd667a86db4713f2598de1afe4885a2622f591eb93ff2f3db581d056227a8cc7e3b84bd834e3290e351b368247ed4c564545eedd5374 SHA512 a05ef71c231ce0df37494f4e18b42e6a6ebc341796b753b06704503017fceba7cd2fc2cfaa4764a85468df3f4e65a63fb12fe5841cca3a114e47c33f410c478c
diff --git a/dev-util/stripe-mock/stripe-mock-0.78.0.ebuild b/dev-util/stripe-mock/stripe-mock-0.78.0.ebuild
new file mode 100644
index 00000000000..e3231b8082c
--- /dev/null
+++ b/dev-util/stripe-mock/stripe-mock-0.78.0.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+EGO_SRC="github.com/stripe/stripe-mock"
+EGO_PN=${EGO_SRC}/...
+inherit golang-build golang-vcs-snapshot
+
+DESCRIPTION="Mock HTTP server that responds like the real Stripe API"
+HOMEPAGE="https://github.com/stripe/stripe-mock"
+SRC_URI="https://github.com/stripe/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64 ~x86"
+
+LICENSE="MIT ISC BSD-2"
+SLOT="0"
+
+src_install() {
+ golang-build_src_install
+ dobin bin/stripe-mock
+ rm -rf "${D%/}$(get_golibdir_gopath)" || die
+}